
import { Component, OnInit, OnDestroy, } from '@angular/core';

import { Observable } from 'rxjs';

import { Store, select } from '@ngrx/store';

import { ConfirmationService } from 'primeng/primeng';

import { ProbeService } from '../../service/probe.service';

import * as AppStore from '../../store';
import { DiscoverySession } from '../../core/discovery/discovery-session';


@Component({
  selector: 'app-pages-home',
  templateUrl: './home-page.component.html',
  styleUrls: ['./home-page.component.scss'],
  providers: [
    ConfirmationService,
  ],
})
export class HomePageComponent implements OnInit, OnDestroy {

  showWelcomPage$: Observable<boolean>;

  constructor(
    private probeService: ProbeService,
    private store: Store<any>,
  ) {
  }

  ngOnInit() {
    this.showWelcomPage$ = this.store.pipe(select(AppStore.EnvironmentSelector.UserSelector.selectShowWelcomPage));
  }

  ngOnDestroy(): void {
  }

  requestDiscover() {
    DiscoverySession.requestDiscover(this.store, this.probeService);
  }

}
