import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';

import { Interface } from '@overflow/model/net/nic';

import { ProbeService } from './probe.service';
import { PingResult } from '@overflow/model/ping';
import { Host, Service } from '@overflow/model/discovery';
import { PingOption } from '@overflow/model/config/ping';


@Injectable()
export class PingService {

  public constructor(
    private probeService: ProbeService,
  ) {

  }

  public pingHost(host: Host, pingOption: PingOption): Observable<PingResult> {
    return this.probeService.call<PingResult>('PingService.PingHost', host, pingOption);
  }

  public pingService(service: Service, pingOption: PingOption): Observable<PingResult> {
    return this.probeService.call<PingResult>('PingService.PingService', service, pingOption);
  }

}
