import { Action } from '@ngrx/store';

export enum ActionType {
  AppInit = '[app] AppInit',
  AppAfterContentInit = '[app] AppAfterContentInit',
  AppAfterViewInit = '[app] AppAfterViewInit',
  AppDestroy = '[app] AppDestroy',
}

export class AppInit implements Action {
  readonly type = ActionType.AppInit;

  constructor() { }
}

export class AppAfterContentInit implements Action {
  readonly type = ActionType.AppAfterContentInit;

  constructor() { }
}

export class AppAfterViewInit implements Action {
  readonly type = ActionType.AppAfterViewInit;

  constructor() { }
}

export class AppDestroy implements Action {
  readonly type = ActionType.AppDestroy;

  constructor() { }
}

export type Actions =
  | AppInit
  | AppAfterContentInit
  | AppAfterViewInit
  | AppDestroy
  ;
