import { Action } from '@ngrx/store';
import { Zone, DiscoverHost } from '@overflow/model/discovery';

export enum ActionType {
  ChangeZone = '[app.discovery] ChangeZone',
  ChangeDiscoverHost = '[app.discovery] ChangeDiscoverHost',
}

export class ChangeZone implements Action {
  readonly type = ActionType.ChangeZone;

  constructor(public payload: Zone) { }
}

export class ChangeDiscoverHost implements Action {
  readonly type = ActionType.ChangeDiscoverHost;

  constructor(public payload: DiscoverHost) { }
}


export type Actions =
  | ChangeZone
  | ChangeDiscoverHost

  ;
