import { Selector, createSelector } from '@ngrx/store';
import { DiscoveryModeType } from '@overflow/model/discovery';
import { DiscoveryStatusType } from '../../../core/type';
import { DiscoverySession } from '../../../core/discovery/discovery-session';

export interface State {
  discoveryMode: DiscoveryModeType | null;
  discoveryStatus: DiscoveryStatusType | null;

  discoverySession: DiscoverySession | null;
}

export const initialState: State = {
  discoveryMode: null,
  discoveryStatus: DiscoveryStatusType.Stopped,

  discoverySession: null,
};


export function getSelectors<S>(selector: Selector<any, State>) {
  return {
    selectDiscoveryMode: createSelector(selector, (state: State) => state.discoveryMode),
    selectDiscoveryStatus: createSelector(selector, (state: State) => state.discoveryStatus),
    selectDiscoverySession: createSelector(selector, (state: State) => state.discoverySession),
  };
}
