import {
  Actions,
  ActionType,
} from './interfaces.action';

import {
  State,
  initialState,
} from './interfaces.state';

export function reducer(state: State = initialState, action: Actions): State {
  switch (action.type) {
    case ActionType.Interfaces: {
      return {
        ...state,
        pending: true,
      };
    }

    case ActionType.InterfacesSuccess: {
      return {
        ...state,
        interfaces: action.payload,
        error: null,
        pending: false,
      };
    }

    case ActionType.InterfacesFailure: {
      return {
        ...state,
        interfaces: null,
        error: action.payload.error,
        pending: false,
      };
    }

    default: {
      return state;
    }
  }
}
