import { Type } from '@angular/core';
import {
  Selector,
  createSelector,
  combineReducers
} from '@ngrx/store';

import * as LayoutStore from './layout';


export interface State {
  layout: LayoutStore.State;
}

export const EFFECTS: Type<any>[] = [
  LayoutStore.LayoutEffects,
];

export const REDUCER = combineReducers({
  layout: LayoutStore.reducer,
});

export function getSelectors<S>(selector: Selector<any, State>) {
  return {
    LayoutSelector: LayoutStore.getSelectors(createSelector(
      selector,
      (state: State) => state.layout,
    )),
  };
}
